## net.dontdrinkandroot.wicket.bootstrap.behavior
Class LabelBehavior

    java.lang.Object
      org.apache.wicket.behavior.Behavior
          net.dontdrinkandroot.wicket.bootstrap.behavior.LabelBehavior

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class LabelBehavior

extends org.apache.wicket.behavior.Behavior

See Also:
  Serialized Form

Constructor Summary
`LabelBehavior()`
`LabelBehavior(org.apache.wicket.model.IModel<LabelStyle> labelStyleModel)`
`LabelBehavior(LabelStyle labelStyle)`

Method Summary
`void` `bind(org.apache.wicket.Component component)`
`LabelStyle` `getLabeLStyle()`
`protected org.apache.wicket.model.IModel<LabelStyle>` `getLabelStyleModel()`

Methods inherited from class org.apache.wicket.behavior.Behavior
`afterRender, beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, renderHead, unbind`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelBehavior

    public LabelBehavior()

### LabelBehavior

    public LabelBehavior(LabelStyle labelStyle)

### LabelBehavior

    public LabelBehavior(org.apache.wicket.model.IModel<LabelStyle> labelStyleModel)

Method Detail

### getLabeLStyle

    public LabelStyle getLabeLStyle()

### getLabelStyleModel

    protected org.apache.wicket.model.IModel<LabelStyle> getLabelStyleModel()

### bind

    public void bind(org.apache.wicket.Component component)

  Overrides:
    `bind` in class `org.apache.wicket.behavior.Behavior`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.